Package org.eclipse.microprofile.lra.tck

# Class TckUnknownTests

java.lang.Object
org.eclipse.microprofile.lra.tck.TckTestBase
org.eclipse.microprofile.lra.tck.TckUnknownTests

public class TckUnknownTests extends TckTestBase
TCK Tests related to the 410 status code handling. Version without a Status method.

## Field Summary

### Fields inherited from class org.eclipse.microprofile.lra.tck.TckTestBase

`testName`

## Constructor Summary

Constructors
Constructor
Description
`TckUnknownTests()`

## Method Summary

Modifier and Type
Method
Description
`void`
`before()`
`void`
`compensate_immediate()`
`void`
`compensate_retry()`
`void`
`complete_immediate()`
`void`
`complete_retry()`
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`

### Methods inherited from class org.eclipse.microprofile.lra.tck.TckTestBase

`after`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TckUnknownTests

public TckUnknownTests()

## Method Details

### deploy

@Deployment(name="tckunkown") public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

### before

public void before()

Overrides:
  `before` in class `TckTestBase`

### compensate_immediate

public void compensate_immediate() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

### compensate_retry

public void compensate_retry() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

### complete_immediate

public void complete_immediate() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

### complete_retry

public void complete_retry() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`